sc::SCElementAccumulateSCVector(3)

NAME
sc::SCElementAccumulateSCVector -

SYNOPSIS

Inherits sc::SCElementOp'.

  Public Member Functions
SCElementAccumulateSCVector (SCVector *)
int has_side_effects ()
By default this returns nonzero'.
void process (SCMatrixBlockIter &)
This is the fallback routine to process blocks and is called by process_spec members that are not overridden'.

Member Function Documentation

  int sc::SCElementAccumulateSCVector::has_side_effects () [virtual]

By default this returns nonzero'. If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero'.

Reimplemented from sc::SCElementOp'.

  void sc::SCElementAccumulateSCVector::process (SCMatrixBlockIter &) [virtual]

This is the fallback routine to process blocks and is called by process_spec members that are not overridden'.

Implements sc::SCElementOp'.

Author

Generated automatically by Doxygen for MPQC from the source code'.